SystemOrganization addCategory: #ConfigurationOfRenoirStPlusSeaside!

Object subclass: #ConfigurationOfRenoirStPlusSeaside
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfRenoirStPlusSeaside'!

!ConfigurationOfRenoirStPlusSeaside commentStamp: 'GabrielOmarCotelli 4/4/2014 00:04' prior: 0!
Metacello configuration of RenoirSt + Seaside!

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'development support' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'private' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'catalog' stamp: 'GabrielOmarCotelli 4/14/2014 15:01'!
catalogChangeLog
	"Returns a paragraph describing the most important changes in the configuration class."
	^ '1.3.0 - Updated dependencies'! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'catalog' stamp: 'GabrielOmarCotelli 3/17/2014 18:13'!
catalogContactInfo
	"Returns a paragraph describing contact information such as email, mailing lists and website."
	^ 'This project is managed in GitHub: https://github.com/gcotelli/RenoirSt.'! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'catalog' stamp: 'GabrielOmarCotelli 3/17/2014 18:13'!
catalogDescription
	"Returns a paragraph describing the project"
	^ 'RenoirSt and Seaside Integration.'! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'catalog' stamp: 'GabrielOmarCotelli 3/17/2014 18:14'!
catalogKeyClassesAndExample
	^ ''! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'catalog' stamp: 'GabrielOmarCotelli 3/17/2014 18:14'!
catalogKeywords
	"Returns an array of symbols"
	^ #(web css dsl seaside) ! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'private' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'private' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'metacello tool support' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'loading' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'loading' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'loading' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'accessing' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
project

	^self new project! !

!ConfigurationOfRenoirStPlusSeaside class methodsFor: 'development support' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfRenoirStPlusSeaside methodsFor: 'versions' stamp: 'GabrielOmarCotelli 3/17/2014 19:56'!
baseline110: spec
	<version: '1.1.0-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://smalltalkhub.com/mc/gcotelli/RenoirSt/main/'.
			spec
				project: 'Seaside'
					with: [ 
							spec
								className: 'ConfigurationOfSeaside3';
								repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main';
								loads: #('Javascript');
								versionString: #stable ];
				project: 'RenoirSt Minimal'
					with: [ 
							spec
								className: 'ConfigurationOfRenoirSt';
								repository: 'http://smalltalkhub.com/mc/gcotelli/RenoirSt/main/';
								loads: 'Minimal';
								versionString: #stable ];
				project: 'RenoirSt Full'
					with: [ 
							spec
								className: 'ConfigurationOfRenoirSt';
								repository: 'http://smalltalkhub.com/mc/gcotelli/RenoirSt/main/';
								versionString: #stable ].
			spec package: #'RenoirSt-Seaside' with: [ spec requires: #('RenoirSt Minimal' 'Seaside') ].
			spec package: #'RenoirSt-Seaside-Tests' with: [ spec requires: #('RenoirSt-Seaside' 'RenoirSt Full') ].
			spec group: 'Minimal' with: #('RenoirSt-Seaside').
			spec group: 'default' with: #('Minimal' 'RenoirSt-Seaside-Tests') ]! !

!ConfigurationOfRenoirStPlusSeaside methodsFor: 'accessing' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfRenoirStPlusSeaside methodsFor: 'symbolic versions' stamp: 'GabrielOmarCotelli 3/17/2014 18:08'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.1.0-baseline'.! !

!ConfigurationOfRenoirStPlusSeaside methodsFor: 'accessing' stamp: 'GabrielOmarCotelli 3/17/2014 17:58'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfRenoirStPlusSeaside methodsFor: 'symbolic versions' stamp: 'GabrielOmarCotelli 5/27/2014 21:52'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'pharo3.x' version: '1.3.0'.
	spec for: #'pharo4.x' version: '1.3.0'
! !

!ConfigurationOfRenoirStPlusSeaside methodsFor: 'versions' stamp: 'GabrielOmarCotelli 3/17/2014 18:24'!
version110: spec
	<version: '1.1.0' imports: #('1.1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec
				description:
					'Version 1.1.0:
- Issue #15 Added "Seaside" group with useful extensions
- Updated Tutorial'.
			spec author: 'GabrielOmarCotelli'.
			spec timestamp: '3/17/2014 00:00'.
			spec
				package: #'RenoirSt-Seaside' with: 'RenoirSt-Seaside-GabrielOmarCotelli.1';
				package: #'RenoirSt-Seaside-Tests' with: 'RenoirSt-Seaside-Tests-GabrielOmarCotelli.1';
				project: 'RenoirSt Minimal' with: [ spec versionString: '1.1.0' ];
				project: 'RenoirSt Full' with: [ spec versionString: '1.1.0' ];
				project: 'Seaside' with: [ spec versionString: '3.1.0' ] ]! !

!ConfigurationOfRenoirStPlusSeaside methodsFor: 'versions' stamp: 'GabrielOmarCotelli 4/4/2014 00:04'!
version120: spec
	<version: '1.2.0' imports: #('1.1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec
				description:
					'Version 1.2.0:
- Updated dependencies'.
			spec author: 'GabrielOmarCotelli'.
			spec timestamp: '4/4/2014 00:00'.
			spec
				package: #'RenoirSt-Seaside' with: 'RenoirSt-Seaside-GabrielOmarCotelli.1';
				package: #'RenoirSt-Seaside-Tests' with: 'RenoirSt-Seaside-Tests-GabrielOmarCotelli.1';
				project: 'RenoirSt Minimal' with: [ spec versionString: '1.2.0' ];
				project: 'RenoirSt Full' with: [ spec versionString: '1.2.0' ];
				project: 'Seaside' with: [ spec versionString: '3.1.0' ] ]! !

!ConfigurationOfRenoirStPlusSeaside methodsFor: 'versions' stamp: 'GabrielOmarCotelli 4/14/2014 14:59'!
version130: spec
	<version: '1.3.0' imports: #('1.1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec
				description:
					'Version 1.3.0:
- Updated dependencies'.
			spec author: 'GabrielOmarCotelli'.
			spec timestamp: '4/14/2014 00:00'.
			spec
				package: #'RenoirSt-Seaside' with: 'RenoirSt-Seaside-GabrielOmarCotelli.1';
				package: #'RenoirSt-Seaside-Tests' with: 'RenoirSt-Seaside-Tests-GabrielOmarCotelli.1';
				project: 'RenoirSt Minimal' with: [ spec versionString: '1.3.0' ];
				project: 'RenoirSt Full' with: [ spec versionString: '1.3.0' ];
				project: 'Seaside' with: [ spec versionString: '3.1.0' ] ]! !
